### Method

# GIRepository BaseInfo get_container

since: 2.80

#### Declaration [src]

    GIBaseInfo*
    gi_base_info_get_container (
      GIBaseInfo* info
    )

#### Description [src]

Obtain the container of the `info`.

The container is the parent `GIBaseInfo`. For instance, the parent of a `GIFunctionInfo` is an `GIObjectInfo` or `GIInterfaceInfo`.

Available since: 2.80

#### Return value

Type: `GIBaseInfo`

The container.

The returned data is owned by the instance.